ZIP_ERROR_SET(3) | Library Functions Manual | ZIP_ERROR_SET(3)

# NAME

`zip_error_set` — fill in zip_error structure

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

void
`zip_error_set`(zip_error_t *ze, int le, int se);

# DESCRIPTION

The `zip_error_set`() function sets the zip_error pointed to by ze to the libzip error code le and the system error code se.

ze must be allocated and initialized with zip_error_init(3) before calling `zip_error_set`().

# SEE ALSO

libzip(3), zip_error_init(3), zip_error_set_from_source(3)

# HISTORY

`zip_error_set`() was added in libzip 1.0.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>

December 5, 2022 | NiH